name: ontoi
description: App para promover lugares y servicios de localidades turísticas

publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=2.19.6 <3.0.0'

dependencies:
  flutter:
    sdk: flutter

  # HTTP & API
  http: ^0.13.6

  # State management
  provider: ^6.0.5
  shared_preferences: ^2.2.1

  # Maps
  google_maps_flutter: ^2.2.8
  geolocator: ^9.0.2

  # UI Components
  cupertino_icons: ^1.0.5
  cached_network_image: ^3.2.3
  shimmer: ^2.0.0
  flutter_rating_bar: ^4.0.1
  image_picker: ^0.8.7+5

  # Notifications
  firebase_core: ^2.12.0
  firebase_messaging: ^14.6.7
  flutter_local_notifications: ^13.0.0

  # Utils
  intl: ^0.18.1
  url_launcher: ^6.1.11
  share_plus: ^6.3.4

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/icons/
    - assets/animations/
  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/Poppins-Regular.ttf
        - asset: assets/fonts/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Poppins-Bold.ttf
          weight: 700
